pyvisa (1.14.1-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Scrape /<org>/<repo>/tags, not /<org>/<repo>/releases.
  * New upstream release (closes: #1084175).
  * Simplify how test_visa_info is skipped.
  * Drop now-unused dependency on python3-pkg-resources (closes: #1083732).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Oct 2024 22:37:16 +0100

pyvisa (1.11.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 16:46:06 +0100

pyvisa (1.11.3-2) unstable; urgency=medium

  * debian/control:
    - Change from Depends to Recommends: python3-pyvisa-py
      to prevent a cyclic dependency causing deadlock when building.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 28 Dec 2020 13:07:36 +0100

pyvisa (1.11.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13
  * debian/copyright:
    - Remove copyright information for deleted files
  * debian/control:
    - Drop ancient X-Python-Version field
    - New build-dependencies: python3-setuptools-scm, python3-pytest,
      python3-typing-extensions
    - New install dependency: python3-pyvisa-py (>= 0.5)
    - Rules-Requires-Root:
    - Standards-Version: 4.5.1
    - Testsuite: autopkgtest-pkg-python
  * debian/patches/0001-Skip-unreliable-tests.patch:
    - Two tests are unreliable in the new upstream delivery. Skip them
  * debian/rules:
    - Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
      update)
  * Add debian/salsa-ci.yaml
  * debian/watch:
    - Update watch file format version to 4.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 26 Dec 2020 14:19:47 +0100

pyvisa (1.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ruben Undheim ]
  * New upstream release
  * DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 23:17:14 +0200

pyvisa (1.9.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Team upload.
  * Remove Python 2 support; Closes: #938296
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Sep 2019 23:51:59 -0400

pyvisa (1.9.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patch
  * debian/upstream/metadata added pointing to github

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 19 Aug 2018 22:22:03 +0200

pyvisa (1.9.0-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/copyright: Use https protocol in Format field
  * debian/control: Deprecating priority extra as per policy 4.0.1
  * debian/changelog: Remove trailing whitespaces
  * debian/control: Remove ancient X-Python3-Version field

  [ Ruben Undheim ]
  * Updated homepage URL, watch URL and source url in debian/copyright
  * debian/copyright: Updates according to changes in new release
  * debian/compat: compat level set to 11
  * debian/control:
    - debhelper >= 11
    - Standards version 4.2.0
  * Deleted debian/.git-dpm
  * debian/patches/0001-fix-build.patch:
    - Fix an issue popping up when building on latest sid

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 21:12:47 +0200

pyvisa (1.8-4) unstable; urgency=low

  * Moved python-pyvisa-py back from Depends to Recommends. (Closes: #836963)
    This fixes a circular dependency issue.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 22 Sep 2016 19:22:55 +0200

pyvisa (1.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Ruben Undheim ]
  * debian/control:
    - Move libvisa0 from Depends to Suggests
    - Move python-pyvisa-py from Recommends to Depends
    - New Standards version 3.9.8

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 27 Aug 2016 10:41:27 +0200

pyvisa (1.8-2) unstable; urgency=low

  * debian/control:
    - Recommend pyvisa-py
    - Small improvement of package description

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 12 Sep 2015 01:38:44 +0200

pyvisa (1.8-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 01 Sep 2015 22:26:12 +0200

pyvisa (1.7-1) unstable; urgency=medium

  * New upstream release
  * Updated d/copyright with info about new files.
  * d/control:
    - transitional package pyvisa moved to Section "oldlibs" and description
      changed.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 29 May 2015 16:50:18 +0200

pyvisa (1.6.3-4) unstable; urgency=medium

  * d/control:
    - Added missing install dependencies: python-pkg-resources and
      python3-pkg-resources

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 28 May 2015 22:45:17 +0200

pyvisa (1.6.3-3) unstable; urgency=low

  * Uploaded to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 11:55:57 +0200

pyvisa (1.6.3-2) experimental; urgency=low

  * Added python3 binary: python3-pyvisa
  * Renamed pyvisa binary to python-pyvisa
  * debian/copyright:
    - Added copyright year and comment for Hernan E. Grecco
  * debian/control:
    - Added everything needed for building python3 binary as well
      as python2 binary.
    - Cleaned up Build-Depends list
    - Section: python, Priority: optional
    - python-pyvisa "replaces" and "breaks" pyvisa to provide backwards
      compatibility
    - pyvisa transitional dummy package added
  * debian/docs --> python-pyvisa.docs and python3-pyvisa.docs
  * debian/install --> python-pyvisa.install and python3-pyvisa.install
  * debian/rules:
    - Added --with python3 and --buildsystem=python_distutils
    - More in override_dh_auto_clean to properly clean up
    - override_dh_auto_build and override_dh_auto_install for building
      python3 binary correctly.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 16 Mar 2015 19:11:37 +0100

pyvisa (1.6.3-1) experimental; urgency=low

  * New upstream release (Closes: 775767)
    - All patches removed
  * New maintainer
  * debian/control:
    - Added new dependencies: dh-python, {python:Depends}
    - Removed unneeded dependencies
    - Standards-version to 3.9.6
    - Added X-Python-Version
  * debian/copyright:
    - Added new copyright holders
    - Changed source URL
  * debian/rules:
    - Added override_dh_auto_clean to properly clean
    - Install CHANGES as upstream changelog since it
      is the newest
  * debian/watch: Changed URL (upstream has changed)
  * Added debian/gbp.conf to enable pristine-tar build
  * Added debian/docs and debian/install for installing docs

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Mar 2015 07:44:18 +0100

pyvisa (1.4-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Tue, 29 Jan 2013 23:50:45 +0100
